/**
 * ResponseOrderType.java
 *
 * File generated from the core::ResponseOrderType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ResponseOrderType.
 *
 */

@XmlType(name = "ResponseOrderType")
@XmlEnum
@XmlRootElement(name = "ResponseOrderType")
public enum ResponseOrderType {
	@XmlEnumValue("sequential")
	SEQUENTIAL("sequential"),
	@XmlEnumValue("unordered")
	UNORDERED("unordered");
	
	private final String value;

    ResponseOrderType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ResponseOrderType fromValue(String v) {
        for (ResponseOrderType c: ResponseOrderType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}